8.96 --gnu_version=version

Attempts to make the compiler compatible with a particular version of GCC.

Syntax

--gnu_version=version

Where version is a decimal number denoting the version of GCC that you are attempting to make the compiler compatible with.

Mode

This option is for when GNU compatibility mode is being used.

Usage

This option is for expert use. It is provided for dealing with legacy code. You are not normally required to use it.

The maximum supported values for --gnu_version in armcc are as follows:

armcc GCC
4.0, 4.1 40300 (GCC 4.3)
5.0, 5.01, 5.02, 5.03, 5.04 40400 (GCC 4.4)
5.05, 5.06 40800 (GCC 4.8)

Default

In ARM Compiler 5.06, the default is 40700. This corresponds to GCC version 4.7.0.

In ARM Compiler 4.1 through to 5.05, the default is 40200. This corresponds to GCC version 4.2.0.

Example

--gnu_version=30401 makes the compiler compatible with GCC 3.4.1 as far as possible.

Non-ConfidentialPDF file icon PDF versionARM DUI0472M
Copyright © 2010-2016 ARM Limited or its affiliates. All rights reserved.